Package com.collibra.dgc.core.api.dto.instance.community

# Class FindCommunitiesRequest.Builder

Object
Builder

Enclosing class:
  `FindCommunitiesRequest`

public static class FindCommunitiesRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  This field will become private in the next major release.
  `protected int`
  `offset`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Use cursor pagination.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindCommunitiesRequest`
  `build()`
  `FindCommunitiesRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindCommunitiesRequest.Builder`
  `cursor(String cursor)`
  `FindCommunitiesRequest.Builder`
  `excludeMeta(boolean excludeMeta)`
  `FindCommunitiesRequest.Builder`
  `limit(int limit)`
  `FindCommunitiesRequest.Builder`
  `name(String name)`
  `FindCommunitiesRequest.Builder`
  `nameMatchMode(MatchMode nameMatchMode)`
  `FindCommunitiesRequest.Builder`
  `offset(int offset)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Use cursor pagination.
  `FindCommunitiesRequest.Builder`
  `parentId(UUID parentId)`
  `FindCommunitiesRequest.Builder`
  `sortField(FindCommunitiesRequest.SortField sortField)`
  `FindCommunitiesRequest.Builder`
  `sortOrder(SortOrder sortOrder)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated(forRemoval=true) protected int offset
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use cursor pagination.

  - ### limit

    @Deprecated protected int limit
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### offset

    @Deprecated(forRemoval=true) public FindCommunitiesRequest.Builder offset(int offset)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use cursor pagination.

  - ### limit

    public FindCommunitiesRequest.Builder limit(int limit)

  - ### but

    @Deprecated public FindCommunitiesRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindCommunitiesRequest.builder()`
    Clone method for this Builder.

  - ### cursor

    public FindCommunitiesRequest.Builder cursor(String cursor)
    Parameters:
      `cursor` - Cursor for the current page of results. To retrieve the first page with cursor pagination you need to pass this parameter with an empty value (must be non-null). For the next pages, the value must be taken from the response (`nextCursor` property).
    Returns:
      `this`.

  - ### name

    public FindCommunitiesRequest.Builder name(String name)
    Parameters:
      `name` - The name of the community to search for.
    Returns:
      `this`.

  - ### nameMatchMode

    public FindCommunitiesRequest.Builder nameMatchMode(MatchMode nameMatchMode)
    Parameters:
      `nameMatchMode` - The match mode used to compare `name`. If the match mode is `EXACT` the search is case-sensitive, otherwise the search is case-insensitive." When omitted, the nameMatchMode defaults to `ANYWHERE`.
    Returns:
      `this`.

  - ### parentId

    public FindCommunitiesRequest.Builder parentId(UUID parentId)
    Parameters:
      `parentId` - The ID of the parent community to find the communities in.
    Returns:
      `this`.

  - ### excludeMeta

    public FindCommunitiesRequest.Builder excludeMeta(boolean excludeMeta)
    Parameters:
      `excludeMeta` - The exclude meta flag. If this is set to true then the meta communities will not be returned (meta communities are i.e. communities not created manually by the user). When omitted, the excludeMeta flag defaults to `true`.
    Returns:
      `this`.

  - ### sortField

    public FindCommunitiesRequest.Builder sortField(FindCommunitiesRequest.SortField sortField)
    Parameters:
      `sortField` - The field on which the results are sorted. When omitted, the sortField defaults to `NAME`.
    Returns:
      `this`.

  - ### sortOrder

    public FindCommunitiesRequest.Builder sortOrder(SortOrder sortOrder)
    Parameters:
      `sortOrder` - The sorting order. When omitted, the sortOrder defaults to `ASC` (ascending).
    Returns:
      `this`.

  - ### build

    public FindCommunitiesRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`